/*
 * THIS PROGRAM IS GENERATED UNDER LICENSE FROM NEC CORPORATION.
 */
/*global systemcommon, log, memberinfo, MEMBERINFO_INSERT */

/**
 * @fileoverview 会員情報管理機能(MemberInfo)の業務処理を定義するファイル。
 */

/**
 * @summary 会員情報管理機能(MemberInfo)の業務処理定義クラス。
 * @memberof memberinfo
 * @class 会員情報管理機能(MemberInfo)の業務処理を定義するクラス。
 * @constructor
 */
memberinfo.InsertMemberInfoLogic = function () {
	"use strict";
};

/**
 * @summary 登録処理(DAOの呼び出し)。
 * @memberof memberinfo.InsertMemberInfoLogic#
 * @function
 * @param {Object} daoData 入力データ
 * @param {Function} success 成功時のコールバック関数
 * @param {Function} error 失敗時のコールバック関数
 */
memberinfo.InsertMemberInfoLogic.prototype.lg_insert = function (daoData, success, error) {
	"use strict";

    if (-1 != daoData.member_NO.indexOf("nec")) {
      //会員番号に"nec"が含まれる場合、住所は不要
      daoData.member_ADDRESS = "";
    }

	try {
		/**
		 * SystemCommonDaoのインスタンスを生成する。
		 * @type {systemcommon.SystemCommonDao}
		 */
		var dao = new systemcommon.SystemCommonDao();
		dao.invoke(MEMBERINFO_INSERT, daoData, success, error);
	} catch (e) {
		log.error("An error occurred", e);
		throw e;
	}
};
