/*
 * THIS PROGRAM IS GENERATED UNDER LICENSE FROM NEC CORPORATION.
 */
/*global systemcommon, log, $, memberinfo */

/**
 * @fileoverview 確認画面(InsertConf)の業務処理を定義するファイル。
 */

/**
 * @summary 確認画面(InsertConf)の業務処理定義クラス。
 * @memberof memberinfo
 * @class 確認画面(InsertConf)の業務処理を定義するクラス。
 * @constructor
 */
memberinfo.InsertConfViewModel = function () {
	"use strict";
};

/**
 * @summary 確認画面(InsertConf) 会員情報登録画面に戻る。
 * @memberof memberinfo.InsertConfViewModel#
 * @function
 * @param {Object} event イベントオブジェクト
 */
memberinfo.InsertConfViewModel.prototype.ev_tapCancel = function (event) {
	"use strict";
    //会員情報登録画面に戻る
	$("body").pagecontainer("change", "#InsertMemberInfo", { transition: "slide" });
};

/**
 * @summary 確認画面(InsertConf) ユーザが入力した値で登録処理を行う。
 * @memberof memberinfo.InsertConfViewModel#
 * @function
 * @param {Object} event イベントオブジェクト
 */
memberinfo.InsertConfViewModel.prototype.ev_tapInsert = function (event) {
	"use strict";
	try {
		/**
		 * InsertMemberInfoDataのインスタンスを生成する。
		 * @type {memberinfo.InsertMemberInfoData}
		 */
		var insertMemberInfoData = new memberinfo.InsertMemberInfoData();

		/**
		 * InsertMemberInfoLogicのインスタンスを生成する。
		 * @type {memberinfo.InsertMemberInfoLogic}
		 */
		var insertMemberInfoLogic = new memberinfo.InsertMemberInfoLogic();

		insertMemberInfoLogic.lg_insert(insertMemberInfoData,
				memberinfo.InsertConfViewModel.cl_insertMemberInfoInsert,
				systemcommon.SystemCommonUtil.errorCallback);

	} catch (e) {
		log.error("An error occurred", e);
		throw e;
	}
};

/**
 * @summary InsertMemberInfoLogic.lg_insertメソッドが呼び出す、<br>
 *          DAO(MEMBERINFO_INSERT)の呼び出し成功時に利用するコールバックメソッド。
 * @memberof memberinfo.InsertConfViewModel
 * @function
 * @param {Object} data 非同期処理の結果
 * @param {string} status リクエスト結果を表す文字列
 * @param {Object} xhr XMLHttpRequestオブジェクト
 */
memberinfo.InsertConfViewModel.cl_insertMemberInfoInsert = function (data, status, xhr) {
	"use strict";
    //会員情報登録画面に遷移する
	$("body").pagecontainer("change", "#InsertMemberInfo", { transition: "slide" });
};
